Subject: bug#51837: closed (Re: bug#51837: [Cuirass] Wrong type: #f in cuirass/templates.scm)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 29 Nov 2021 13:27:02 +0000

Your bug report

#51837: [Cuirass] Wrong type: #f in cuirass/templates.scm

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
51837: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=51837
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#51837: [Cuirass] Wrong type: #f in cuirass/templates.scm
From: Mathieu Othacehe <[email-masked]>
To: Tobias Geerinckx-Rice <[email-masked]>
Cc: [email-masked]
Date: Mon, 29 Nov 2021 14:26:29 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello Tobias,

This error was likely caused by the core-updates-frozen-batched-changes
specification removal in Cuirass. Some builds keep referring to removed
specifications causing unexpected behaviours.

The strange thing is that I'm using the "DELETE CASCADE" SQL property
that should remove Builds pointing to a removed specification
automatically.

Regardless of this misunderstanding, it might not be great idea to
remove specifications altogether because a build that is added by the
core-updates-frozen specification might be referred by the master
specification once the merge has happened.

I introduced specification deactivation with
https://git.savannah.gnu.org/cgit/guix/guix-cuirass.git/commit/?id=b362f06b9134f99a476e0f2ec32335ce6ddc6e8c
to work around this problem.

This is not yet deployed, but I think it should solve the issue you
reported.

Thanks,

Mathieu

Subject: [Cuirass] Wrong type: #f in cuirass/templates.scm
From: Tobias Geerinckx-Rice <[email-masked]>
To: [email-masked]
Cc: Mathieu Othacehe <[email-masked]>
Date: Sun, 14 Nov 2021 12:14:40 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Guix,

The following page refuses to load:

--8<---------------cut here---------------start------------->8---
~$ curl -LI https://ci.guix.gnu.org/build/1618120/details
HTTP/1.1 404 Not Found
Server: nginx
Date: Sun, 14 Nov 2021 11:16:01 GMT
Content-Type: text/plain;charset=utf-8
Content-Length: 42
Connection: keep-alive
--8<---------------cut here---------------end--------------->8---

Here's what gets logged in cuirass-web.log:

--8<---------------cut here---------------start------------->8---
2021-11-14T12:13:51 GET /build/1618120/details
In cuirass/http.scm:
   747:13  5 (url-handler _ _)
In cuirass/templates.scm:
   740:22  4 (build-details ((#:derivation . "/gnu/store/0rks1d?") 
   ?) ?)
In srfi/srfi-1.scm:
   603:19  3 (map2 (1287823 1287827 1289462 1289463 1289464 # # # 
   ?) ?)
In cuirass/templates.scm:
   747:51  2 (_ 1287823 _)
    215:4  1 (status-class _)
In ice-9/boot-9.scm:
  1685:16  0 (raise-exception _ #:continuable? _)
In procedure =: Wrong type: #f
--8<---------------cut here---------------end--------------->8---

Kind regards,

T G-R